#!/bin/bash

rm -Rf  test.idx test_*.* test/

CONVERT=$1

if [ ! $CONVERT ]; then
    CONVERT="win/release/visusconvert.exe --convert"
fi

fields="scalar 1*uint8 compressed + vector 3*uint8 compressed"

$CONVERT --create test.idx --box "0 511 0 511" --fields "$fields" --bitsperblock 12

# -----------------------------------------------
# example of tiling the same image multiple times
# -----------------------------------------------


$CONVERT --import resources/cat_gray.tga --write test.idx --field scalar --box "  0 255     0 255"
$CONVERT --import resources/cat_gray.tga --write test.idx --field scalar --box "256 511     0 255"
$CONVERT --import resources/cat_gray.tga --write test.idx --field scalar --box "  0 255   256 511"
$CONVERT --import resources/cat_gray.tga --write test.idx --field scalar --box "256 511   256 511"

$CONVERT --import resources/cat_rgb.tga --write test.idx --field vector --box "  0 255     0 255"
$CONVERT --import resources/cat_rgb.tga --write test.idx --field vector --box "256 511     0 255"
$CONVERT --import resources/cat_rgb.tga --write test.idx --field vector --box "  0 255   256 511"
$CONVERT --import resources/cat_rgb.tga --write test.idx --field vector --box "256 511   256 511"


# -----------------------------------------------
# example of getting data from Visus
# -----------------------------------------------
$CONVERT --read test.idx --field scalar --box "  0 255     0 255"  --export test_scalar.tga 
$CONVERT --read test.idx --field scalar --box "256 511     0 255"  --export test_scalar.jpg  
$CONVERT --read test.idx --field scalar --box "  0 255   256 511"  --export test_scalar.tif  
$CONVERT --read test.idx --field scalar --box "256 511   256 511"  --export test_scalar.bmp 
$CONVERT --read test.idx --field scalar --box "128 383   128 383"  --export test_scalar.png 


$CONVERT --read test.idx --field vector --box "  0 255     0 255"  --export test_vector.tga 
$CONVERT --read test.idx --field vector --box "256 511     0 255"  --export test_vector.jpg  
$CONVERT --read test.idx --field vector --box "  0 255   256 511"  --export test_vector.tif  
$CONVERT --read test.idx --field vector --box "256 511   256 511"  --export test_vector.bmp 
$CONVERT --read test.idx --field vector --box "128 383   128 383"  --export test_vector.png 

